Subject: Re: FVWM: why was SaveUnders removed?

From: Dominik Vogt <[email-masked]>
Date: Thu, 16 Dec 1999 23:14:01 +0100

On Fri, Oct 22, 1999 at 10:48:19PM -0500, Fuzzy Fox wrote:
> Jon A. Christopher <[email-masked]> wrote:
> >
> > I'm wondering why SaveUnders was removed from FVWM.
> 
> While we're on the subject, I'll add that I also miss the other option
> that was removed, "BackingStore".  As part of my work, I often find
> myself exporting windows to my screen, over a 64K ISDN connection. 
> Believe me, backing store makes quite a difference for these apps, even
> though they are simple xterms!  They don't request the backing store
> themselves, though, so having FVWM do it on their behalf is quite nice! 
> 
> I find myself switching back to fvwm 1.24 whenever I need to run these
> apps over my ISDN connection, then switching back to fvwm2 when
> finished.
> 
> Is there some way to add BackingStore back again, especially as a Style
> option?  That would be super!  There are some windows I don't want to
> enable BackingStore on, and so a Style option for that would be great.

I have just written the new styles BackingStore/BackingStoreOff and
SaveUnder/SaveUnderOff.  Can you try these?  I don't see a noticeable
difference with or without them since my machine is too fast :)
I've just checked in the code into CVS.  Tomorrow's snapshot should
have it.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Fuzzy Fox <[email-masked]>
Date: Thu, 16 Dec 1999 22:53:02 -0600

Dominik Vogt <[email-masked]> wrote:
> SaveUnder/SaveUnderOff.  Can you try these?

Wow, that's great!!

I guess, since you have taken the trouble to write the code for these, I
can take the trouble of jumping into the "turbulent" 2.3 series!  :)

I'll let you know what I find!  Thanks again!  :)

-- 
   [email-masked] (Fuzzy Fox)     || "Good judgment comes from experience.
sometimes known as David DeSimone  ||  Experience comes from bad judgment."
  http://www.dallas.net/~fox/      ||                 -- Life Lessons
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 17 Dec 1999 15:59:18 +0100

> I'll let you know what I find!  Thanks again!  :)

WHat I forgot to mention: I'm not sure if this works properly.
I have no experience with SaveUnder and BackingStore.  I assumed
it's enough to set these on the frame window.  If this doesn't
help I need feedback.

Bye

Dominik ^_^